Debian Bug report logs - #601189
debian-cd: Support replacing the g-i image with ones own image

version graph

Package: debian-cd; Maintainer for debian-cd is Debian CD Group <debian-cd@lists.debian.org>; Source for debian-cd is src:debian-cd.

Reported by: Petter Reinholdtsen <pere@hungry.com>

Date: Sun, 24 Oct 2010 09:27:04 UTC

Severity: normal

Tags: patch

Found in version debian-cd/3.1.3

Fixed in version debian-cd/3.1.4

Done: Steve McIntyre <93sam@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian CD Group <debian-cd@lists.debian.org>:
Bug#601189; Package debian-cd. (Sun, 24 Oct 2010 09:27:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
New Bug report received and forwarded. Copy sent to Debian CD Group <debian-cd@lists.debian.org>. (Sun, 24 Oct 2010 09:27:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: submit@bugs.debian.org
Subject: debian-cd: Support replacing the g-i image with ones own image
Date: Sun, 24 Oct 2010 11:26:09 +0200
Package:  debian-cd
Version:  3.1.3
Tags:     patch
User:     debian-edu@lists.debian.org
UserTags: debian-edu

In Debian Edu, we replace the image shown at the top of the graphical
installer with our own.  It would be nice if this was supported by
debian-cd without a patch.  At the moment we use this patch to repack
the initrd to replace the PNG, because the graphical installer only
read this image during boot, and our new image need to be available
when X is started from the initrd.

diff -urN debian-cd.unpatched.squeeze/tools/boot/sid/boot-x86 debian-cd.new/tools/boot/sid/boot-x86
--- debian-cd.unpatched.squeeze/tools/boot/sid/boot-x86	2010-10-23 08:48:16.000000000 +0200
+++ debian-cd.new/tools/boot/sid/boot-x86	2010-10-23 09:39:11.000000000 +0200
@@ -296,6 +296,27 @@
 	pngtopnm < $SPLASHPNG | ppmquant 16 | pnmtopng  > boot$N/isolinux/splash.png
 fi
 
+ 	#added by Debian Edu patch
+ 	if [ "$LOGOPNG" ] ; then
+ 		# Add custom logo to the initrd.gz file, replacing old image
+ 		GTKINITRD=$CDDIR/$INSTALLDIR/gtk/initrd
+ 		GTKINITRDGZ=$GTKINITRD.gz
+ 		echo "info: Adding $LOGOPNG to $GTKINITRD"
+ 		INITRDDIR=$TDIR/initrd-$$
+ 		# Repack initrd with new image
+ 		mkdir -p $INITRDDIR
+ 		(
+ 			cd $INITRDDIR
+ 			gunzip $GTKINITRDGZ
+ 			mkdir -p $INITRDDIR/usr/share/graphics
+ 			cp $LOGOPNG $INITRDDIR/usr/share/graphics/logo_debian.png
+			echo usr/share/graphics/logo_debian.png | \
+ 			cpio -oA -H newc -F $GTKINITRD
+ 			gzip -9 $GTKINITRD
+ 		)
+ 		rm -rf $INITRDDIR
+  	fi
+ 
 sed -i "s|built on|built $BUILD_DATE; d-i|" boot$N/isolinux/f1.txt
 
 if [ -n "$KERNEL_PARAMS" ]; then

Happy hacking,
-- 
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, Debian CD Group <debian-cd@lists.debian.org>:
Bug#601189; Package debian-cd. (Tue, 26 Oct 2010 18:39:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve McIntyre <steve@einval.com>:
Extra info received and forwarded to list. Copy sent to Debian CD Group <debian-cd@lists.debian.org>. (Tue, 26 Oct 2010 18:39:09 GMT) Full text and rfc822 format available.

Message #10 received at 601189@bugs.debian.org (full text, mbox):

From: Steve McIntyre <steve@einval.com>
To: Petter Reinholdtsen <pere@hungry.com>, 601189@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#601189: debian-cd: Support replacing the g-i image with ones own image
Date: Tue, 26 Oct 2010 19:34:46 +0100
tags 601189 +pending
thanks

On Sun, Oct 24, 2010 at 11:26:09AM +0200, Petter Reinholdtsen wrote:
>
>Package:  debian-cd
>Version:  3.1.3
>Tags:     patch
>User:     debian-edu@lists.debian.org
>UserTags: debian-edu
>
>In Debian Edu, we replace the image shown at the top of the graphical
>installer with our own.  It would be nice if this was supported by
>debian-cd without a patch.  At the moment we use this patch to repack
>the initrd to replace the PNG, because the graphical installer only
>read this image during boot, and our new image need to be available
>when X is started from the initrd.

OK, no problem. I've pushed this into svn just now.

-- 
Steve McIntyre, Cambridge, UK.                                steve@einval.com
We don't need no education.
We don't need no thought control.





Added tag(s) pending. Request was from Steve McIntyre <steve@einval.com> to control@bugs.debian.org. (Tue, 26 Oct 2010 18:39:10 GMT) Full text and rfc822 format available.

Reply sent to Steve McIntyre <93sam@debian.org>:
You have taken responsibility. (Sun, 14 Nov 2010 16:48:40 GMT) Full text and rfc822 format available.

Notification sent to Petter Reinholdtsen <pere@hungry.com>:
Bug acknowledged by developer. (Sun, 14 Nov 2010 16:48:40 GMT) Full text and rfc822 format available.

Message #17 received at 601189-close@bugs.debian.org (full text, mbox):

From: Steve McIntyre <93sam@debian.org>
To: 601189-close@bugs.debian.org
Subject: Bug#601189: fixed in debian-cd 3.1.4
Date: Sun, 14 Nov 2010 16:47:07 +0000
Source: debian-cd
Source-Version: 3.1.4

We believe that the bug you reported is fixed in the latest version of
debian-cd, which is due to be installed in the Debian FTP archive:

debian-cd_3.1.4.dsc
  to main/d/debian-cd/debian-cd_3.1.4.dsc
debian-cd_3.1.4.tar.gz
  to main/d/debian-cd/debian-cd_3.1.4.tar.gz
debian-cd_3.1.4_all.deb
  to main/d/debian-cd/debian-cd_3.1.4_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 601189@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Steve McIntyre <93sam@debian.org> (supplier of updated debian-cd package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 14 Nov 2010 15:37:24 +0000
Source: debian-cd
Binary: debian-cd
Architecture: source all
Version: 3.1.4
Distribution: unstable
Urgency: low
Maintainer: Debian CD Group <debian-cd@lists.debian.org>
Changed-By: Steve McIntyre <93sam@debian.org>
Description: 
 debian-cd  - Tools for building (Official) Debian CD set
Closes: 475243 514654 537368 571591 574879 587774 590993 592932 592933 593629 593914 593972 594267 598196 601189
Changes: 
 debian-cd (3.1.4) unstable; urgency=low
 .
   [ Frans Pop ]
   * Cleanup of packages included for bootable CDs (generate_d-i+k_list):
     - libsysfs2 workaround is no longer needed;
     - discover is no longer used anywhere;
     - include grub-legacy instead of grub;
     - pcmcia-cs has been fully replaced with pcmciautils.
   * Exclude udebs for X.Org-based version of the Graphical Installer.
   * Excluding reiserfs4 udebs is not needed for Squeeze.
   * Include pciutils on installation CDs.
   * Only include a symlink for the suite actually specified in the
     Release file. Closes: #590993
 .
   [ Karl Goetz ]
   * Rename log.sort_deps* to sort_deps*.log for better consistency.
     Closes: #571591
   * Minor tweaks to Debian packaging to make lintian happy.
     Closes: #592932
   * Minor whitespace/wording fixes for the README file. Closes: #592933
   * Change the default for NORECOMMENDS to 1 for consistency with
     NOSUGGESTS. Closes: #598196
   * Documentation patches
 .
   [ Steve McIntyre ]
   * Rename log.add_packages to add_packages.log
   * Add dependency on dpkg-dev for dpkg-architecture. Closes: #574879
   * Add support for forcing firmware packages onto CD#1:
     + Add "FORCE_FIRMWARE=1" to CONF.sh to turn this on
     + Will pick up on packages in the "firmware" task and install them
     + Will also add sym-links to them in CD1/firmware so that new d-i code
       can find them easily.
     + Will add a short sentence into README.html/README.txt
   * Add top-level control of which checksums are desired for output images
     see the CHECKSUMS setting in CONF.sh
   * Fix some bashisms in tools/apt-selection.
   * When generating both iso and jigdo files, make sure that the iso files
     are at least as new as the jigdo files, as this helps people mirroring.
     Closes: #587774
   * On release builds, use the full version number including all the dots
     (e.g. 6.0.0 for the squeeze release instead of 600).
   * Update loadlin kernel parameters to match d-i values. Thanks to Samuel
     Thibault for the patch. Closes: #594267
   * Fix support for alternative boot splash images. Thanks to Tony Awtrey
     for the patch. Closes: #537368
   * Include the acpi package for all x86 media types. Closes: #475243
   * Include the wpasupplicant package on netinsts and larger. Closes: #593914
   * Include kbd on first CD rather than console-tools. Closes: #514654
   * Added dedication to Frans Pop.
 .
   [ Ian Campbell ]
   * boot-x86: detect duplicates in the extra images used for installation
     and replace with hard links.
   * CONF.sh: Don't reset the value of $VARIANTS by default.
 .
   [ Aurelien Jarno ]
   * Add support for the kfreebsd ports. Closes: #593629
   * Add debian-ports-archive-keyring-udeb and
     emdebian-archive-keyring-udeb to the exclude list - they should be in
     the initrd already.
   * Don't exclude reiserfsprogs-udeb, as rescue-mode depends on it.
     Closes: #593972
 .
   [ Petter Reinholdtsen ]
   * Support replacing the g-i image with ones own image. Closes: #601189
 .
   [ Holger Levsen ]
   * Start work on Debian Edu images.
 .
   [ Otavio Salvador ]
   * squeeze: include zlib-modules for i386 images
Checksums-Sha1: 
 4aa94fd87bee8e35e763a094e235ed1def58140e 1652 debian-cd_3.1.4.dsc
 a45b6edd126921052945b27ba3d5e021afc3a1e4 903651 debian-cd_3.1.4.tar.gz
 0bdc19dc3d44c9923704ce3f5a5a753252be30f8 896782 debian-cd_3.1.4_all.deb
Checksums-Sha256: 
 7a3f7a43f66dbe62ed2e857f30008c206a36c38b8068ff60a854a52c952f7fef 1652 debian-cd_3.1.4.dsc
 863385c6a363bcdb7d4f003b927b1b358586adc07d44e391c4695f9cf2d67fc7 903651 debian-cd_3.1.4.tar.gz
 457137953bc16480d887b52d3c4daf59315bc7e2f181c2acb6f88fbcca0b7fc2 896782 debian-cd_3.1.4_all.deb
Files: 
 c778c398021f33fc67a26a1d643e7760 1652 admin extra debian-cd_3.1.4.dsc
 ed65f0a833d68c55d5a9a341caba7f77 903651 admin extra debian-cd_3.1.4.tar.gz
 03a3472c740dafd5478153609763b25e 896782 admin extra debian-cd_3.1.4_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJM4BBCAAoJEFh5eVc0QmhOEMoP/jgiGNdi+TN6w09tsGzui3YB
FKcCSe9dEwd4dnpolgDiFM4d2BYzbpHk45DNfVzGZM9xEseFyNfUXWS34s6exzDa
fkMESrGj7VSK++jp2Xy/mXiG3HWbTgYPf+e3T8/SyCL3Lk0ae/k6Ri5siJYp1ZPv
DqBAsXGLTuhRpBwDUo7aN1G6BYJMHOOne0fyBC299JkE/RifZeBqhFsG5bP9Sx0+
R0E1Hg5PQC0NhFfWncn8yR0CdLDu6TVpSupN1hRrGvTAcJj5aE4re4LV9ZpEAsce
O4LjufTxAJjTgp2nAPslsPdM4vN8oQDmPj/mCu64owokoPhHlM3bkTkP2W4KkamI
x6n++SepNVGRmXmVw/AYyaWKhF5k94T4GAGdnX2d0Rh4NHNufOl882kbyMr8dihy
himoCriNCyp+NPNgjUn21BvKVD73JcBjAdFkt52oWb1Ka4IJtdPxS96+YjbUBsuD
YU/fUDJE22f1/JnYx6YZiY2ff2RdVD6hPA0BnwMti61Cm6KBpTyaA6uwZrPc6cXC
9KUi1pyOnyVNxD3k2ryQNUmU6IJE+VsuEmhedPkvSW/ANG4uO/82tjaKN/xOu5RZ
ob7owj2DQqZaJ7NBwKkZNX23/dlxXK5SP9pgK1//K+EQEMFq5rHLKeRyM/TSOhTa
B4BP+oJXKOhDSmsLAiMY
=hV6a
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 23 Dec 2010 07:37:10 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 23:48:15 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.